Index: trunk/source/visualization/History
===================================================================
--- trunk/source/visualization/History	(revision 845)
+++ trunk/source/visualization/History	(revision 846)
@@ -1,3 +1,3 @@
-$Id: History,v 1.420 2008/01/29 22:39:52 allison Exp $
+$Id: History,v 1.423 2008/04/30 10:09:46 allison Exp $
 -------------------------------------------------------------------
 
@@ -24,4 +24,27 @@
 History file for visualization category
 ---------------------------------------
+
+30th April 2008  John Allison  (vis-V09-01-05)
+- visman-V09-01-04: Fixes more gcc-4.3.0 compiler warnings.
+- openinventor-V09-01-01: Fixes more gcc-4.3.0 compiler warnings.
+
+28th April 2008  John Allison  (vis-V09-01-04)
+- visman-V09-01-03: Cosmetic improvements.
+- opengl-V09-01-02: Tidied.
+
+4th April 2008  John Allison  (vis-V09-01-03, needs greps-V09-01-03)
+- Back on HEAD.  Contains vis-V09-01-00.
+- visman-V09-01-02: Fixed gcc-4.3.0 compiler warnings.
+- opengl-V09-01-01:
+  o Fixed gcc-4.3.0 compiler warnings.
+  o Fixed DBL_MAX problem in 2D drawing.
+  o A lot of Qt development.
+- openinventor-V09-01-00): Fixed most gcc-4.3.0 compiler warnings.
+- raytracer-V09-01-00): Fixed gcc-4.3.0 compiler warnings.
+- vistest-V09-01-01: Zero thickness of box for 2D drawing.
+
+30th January 2008  John Allison  (vis-V09-01-02)
+- Bug fix tag (re-instated G4DAWNFILE) on branch vis-V09-00-03-branch.
+- DOES NOT CONTAIN vis-V09-01-00 STUFF.
 
 29th January 2008  John Allison  (vis-V09-01-01)
Index: trunk/source/visualization/OpenGL/History
===================================================================
--- trunk/source/visualization/OpenGL/History	(revision 845)
+++ trunk/source/visualization/OpenGL/History	(revision 846)
@@ -1,3 +1,3 @@
-$Id: History,v 1.114 2008/04/29 16:58:04 lgarnier Exp $
+$Id: History,v 1.115 2008/06/20 13:55:06 lgarnier Exp $
 -------------------------------------------------------------------
 
Index: trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 845)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.hh,v 1.9 2008/03/11 16:05:56 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.hh,v 1.10 2008/06/20 13:55:06 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh	(revision 845)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredQtViewer.hh,v 1.5 2008/01/30 10:54:13 lgarnier Exp $
+// $Id: G4OpenGLStoredQtViewer.hh,v 1.6 2008/06/20 13:55:06 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 845)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.hh,v 1.22 2008/03/10 16:57:04 lgarnier Exp $
+// $Id: G4OpenGLViewer.hh,v 1.23 2008/06/20 13:55:06 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 845)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.cc,v 1.23 2008/04/29 16:58:04 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.cc,v 1.24 2008/06/20 13:55:06 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 845)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredQtViewer.cc,v 1.14 2008/04/29 16:58:04 lgarnier Exp $
+// $Id: G4OpenGLStoredQtViewer.cc,v 1.15 2008/06/20 13:55:06 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 845)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.cc,v 1.37 2008/04/04 13:32:22 allison Exp $
+// $Id: G4OpenGLViewer.cc,v 1.38 2008/06/20 13:55:06 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmRotationCallbacks.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmRotationCallbacks.cc	(revision 845)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmRotationCallbacks.cc	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmRotationCallbacks.cc,v 1.14 2006/06/29 21:19:56 gunter Exp $
+// $Id: G4OpenGLXmRotationCallbacks.cc,v 1.15 2008/06/20 13:55:06 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/management/History
===================================================================
--- trunk/source/visualization/management/History	(revision 845)
+++ trunk/source/visualization/management/History	(revision 846)
@@ -1,3 +1,3 @@
-$Id: History,v 1.107 2008/03/10 16:23:42 lgarnier Exp $
+$Id: History,v 1.110 2008/04/30 10:07:28 allison Exp $
 
 -------------------------------------------------------------------
@@ -26,4 +26,14 @@
 History file for visualization management sub-category
 ------------------------------------------------------
+
+30th April 2008  John Allison  (visman-V09-01-04)
+- Fixes more gcc-4.3.0 compiler warnings.
+
+28th April 2008  John Allison  (visman-V09-01-03)
+- G4VisCommandsScene.cc: Improve warning message.
+- G4ViewParameters.hh: Improve commenting for Software Ref. Man.
+
+4th April 2008  John Allison  (visman-V09-01-02)
+ - Fixed gcc-4.3.0 compiler warnings.
 
 5th February 2008, Laurent Garnier
Index: trunk/source/visualization/management/include/G4ViewParameters.hh
===================================================================
--- trunk/source/visualization/management/include/G4ViewParameters.hh	(revision 845)
+++ trunk/source/visualization/management/include/G4ViewParameters.hh	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4ViewParameters.hh,v 1.27 2008/03/10 16:23:42 lgarnier Exp $
+// $Id: G4ViewParameters.hh,v 1.28 2008/04/28 16:14:12 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -210,10 +210,8 @@
   void SetLightsMoveWithCamera (G4bool moves);
   void SetPan                  (G4double right, G4double up);
-  /** Increment currentTarget point by following X,Y values
-   */
   void IncrementPan            (G4double right, G4double up);
-  /** Increment currentTarget point by following X,Y,Z values
-   */
-  void IncrementPan            (G4double right, G4double up, G4double distance);
+  // Increment currentTarget point perpendicular to viewpoint direction.
+  void IncrementPan            (G4double right, G4double up, G4double forward);
+  // Increment currentTarget point also along viewpoint direction.
   void SetDefaultVisAttributes (const G4VisAttributes&);
   void SetDefaultTextVisAttributes (const G4VisAttributes&);
Index: trunk/source/visualization/management/src/G4ViewParameters.cc
===================================================================
--- trunk/source/visualization/management/src/G4ViewParameters.cc	(revision 845)
+++ trunk/source/visualization/management/src/G4ViewParameters.cc	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4ViewParameters.cc,v 1.30 2008/03/10 16:23:42 lgarnier Exp $
+// $Id: G4ViewParameters.cc,v 1.31 2008/04/04 13:48:53 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -513,6 +513,6 @@
 
   if (IsExplode() &&
-      (fExplodeFactor != v.fExplodeFactor) ||
-      (fExplodeCentre != v.fExplodeCentre)) return true;
+      ((fExplodeFactor != v.fExplodeFactor) ||
+       (fExplodeCentre != v.fExplodeCentre))) return true;
 
   return false;
Index: trunk/source/visualization/management/src/G4VisCommandsScene.cc
===================================================================
--- trunk/source/visualization/management/src/G4VisCommandsScene.cc	(revision 845)
+++ trunk/source/visualization/management/src/G4VisCommandsScene.cc	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4VisCommandsScene.cc,v 1.67 2007/11/10 15:03:56 allison Exp $
+// $Id: G4VisCommandsScene.cc,v 1.68 2008/04/28 16:12:38 allison Exp $
 // GEANT4 tag $Name:  $
 
@@ -244,5 +244,8 @@
       G4cout << " events.";
       if (maxNumberOfKeptEvents > 1 || maxNumberOfKeptEvents < 0)
-	G4cout << "\n  This may use a lot of memory.";
+	G4cout <<
+	  "\n  This may use a lot of memory."
+	  "\n  It may be changed with, e.g., "
+	  "\"/vis/scene/endOfEventAction accumulate 10\".";
     }
     G4cout << G4endl;
Index: trunk/source/visualization/management/src/G4VisCommandsViewer.cc
===================================================================
--- trunk/source/visualization/management/src/G4VisCommandsViewer.cc	(revision 845)
+++ trunk/source/visualization/management/src/G4VisCommandsViewer.cc	(revision 846)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4VisCommandsViewer.cc,v 1.68 2007/01/11 16:41:30 allison Exp $
+// $Id: G4VisCommandsViewer.cc,v 1.70 2008/04/30 10:07:28 allison Exp $
 // GEANT4 tag $Name:  $
 
@@ -405,11 +405,11 @@
   // blanks within quotation marks...
   char c;
-  while (is.get(c) && c == ' ');
+  while (is.get(c) && c == ' '){}
   if (c == '"') {
-    while (is.get(c) && c != '"') originalName += c;
+    while (is.get(c) && c != '"') {originalName += c;}
   }
   else {
     originalName += c;
-    while (is.get(c) && c != ' ') originalName += c;
+    while (is.get(c) && c != ' ') {originalName += c;}
   }
   originalName = originalName.strip (G4String::both, ' ');
@@ -427,11 +427,11 @@
   originalName = originalViewer->GetName();  // Ensures long name.
 
-  while (is.get(c) && c == ' ');
+  while (is.get(c) && c == ' '){}
   if (c == '"') {
-    while (is.get(c) && c != '"') cloneName += c;
+    while (is.get(c) && c != '"') {cloneName += c;}
   }
   else {
     cloneName += c;
-    while (is.get(c) && c != ' ') cloneName += c;
+    while (is.get(c) && c != ' ') {cloneName += c;}
   }
   cloneName = cloneName.strip (G4String::both, ' ');
@@ -564,11 +564,11 @@
   // contains embedded blanks within quotation marks...
   char c;
-  while (is.get(c) && c == ' ');
+  while (is.get(c) && c == ' '){}
   if (c == '"') {
-    while (is.get(c) && c != '"') newName += c;
+    while (is.get(c) && c != '"') {newName += c;}
   }
   else {
     newName += c;
-    while (is.get(c) && c != ' ') newName += c;
+    while (is.get(c) && c != ' ') {newName += c;}
   }
   newName = newName.strip (G4String::both, ' ');