Index: trunk/source/digits_hits/scorer/src/G4PSCellCharge.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellCharge.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCellCharge.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PSCellCharge.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSCellCharge
Index: trunk/source/digits_hits/scorer/src/G4PSCellCharge3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellCharge3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCellCharge3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCellCharge3D.cc,v 1.3 2007/08/29 06:36:41 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSCellCharge3D
Index: trunk/source/digits_hits/scorer/src/G4PSCellFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellFlux.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCellFlux.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCellFlux.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSCellFlux
Index: trunk/source/digits_hits/scorer/src/G4PSCellFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellFlux3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCellFlux3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCellFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSCellFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCylinderSurfaceCurrent.cc,v 1.1 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSCylinderSurfaceCurrent
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCylinderSurfaceCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSCylinderSurfaceCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux.cc	(revision 850)
@@ -26,5 +26,5 @@
 // //
 // // $Id: G4PSCylinderSurfaceFlux.cc,v 1.1 2007/08/14 21:23:51 taso Exp $
-// // GEANT4 tag $Name:  $
+// // GEANT4 tag $Name: HEAD $
 // //
 // // G4PSCylinderSurfaceFlux
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCylinderSurfaceFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSCylinderSurfaceFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSDoseDeposit.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSDoseDeposit.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSDoseDeposit.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSDoseDeposit.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSDoseDeposit
Index: trunk/source/digits_hits/scorer/src/G4PSDoseDeposit3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSDoseDeposit3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSDoseDeposit3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSDoseDeposit3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSDoseDeposit3D
Index: trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSEnergyDeposit.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSEnergyDeposit
Index: trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSEnergyDeposit3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSEnergyDeposit3D
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceCurrent.cc,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSFlatSurfaceCurrent
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSFlatSurfaceCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceFlux.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSFlatSurfaceFlux
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSFlatSurfaceFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSMinKinEAtGeneration.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSMinKinEAtGeneration
Index: trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSMinKinEAtGeneration3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSMinKinEAtGeneration3D
Index: trunk/source/digits_hits/scorer/src/G4PSNofCollision.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofCollision.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSNofCollision.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofCollision.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSNofCollision
Index: trunk/source/digits_hits/scorer/src/G4PSNofCollision3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofCollision3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSNofCollision3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofCollision3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSNofCollision3D
Index: trunk/source/digits_hits/scorer/src/G4PSNofSecondary.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofSecondary.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSNofSecondary.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofSecondary.cc,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSNofSecondary
Index: trunk/source/digits_hits/scorer/src/G4PSNofSecondary3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofSecondary3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSNofSecondary3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofSecondary3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSNofSecondary3D
Index: trunk/source/digits_hits/scorer/src/G4PSNofStep.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofStep.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSNofStep.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofStep.cc,v 1.2 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSNofStep
Index: trunk/source/digits_hits/scorer/src/G4PSNofStep3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofStep3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSNofStep3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofStep3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSNofStep3D
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellCurrent.cc,v 1.1 2007/08/14 21:30:46 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPassageCellCurrent
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPassageCellCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellFlux.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPassageCellFlux
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPassageCellFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageTrackLength.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPassageTrackLength
Index: trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageTrackLength3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPassageTrackLength3D
Index: trunk/source/digits_hits/scorer/src/G4PSPopulation.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPopulation.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPopulation.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPopulation.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPopulation
Index: trunk/source/digits_hits/scorer/src/G4PSPopulation3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPopulation3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSPopulation3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPopulation3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSPopulation3D
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceCurrent.cc,v 1.2 2007/08/14 21:23:52 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSSphereSurfaceCurrent
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSSphereSurfaceCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceFlux.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSSphereSurfaceFlux
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSSphereSurfaceFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSTermination.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTermination.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSTermination.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTermination.cc,v 1.2 2007/12/10 16:29:42 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSTermination
Index: trunk/source/digits_hits/scorer/src/G4PSTermination3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTermination3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSTermination3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTermination3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSTermination3D
Index: trunk/source/digits_hits/scorer/src/G4PSTrackCounter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackCounter.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackCounter.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackCounter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSTrackCounter
Index: trunk/source/digits_hits/scorer/src/G4PSTrackCounter3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackCounter3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackCounter3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackCounter3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSTrackCounter3D
Index: trunk/source/digits_hits/scorer/src/G4PSTrackLength.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackLength.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackLength.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackLength.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSTrackLength
Index: trunk/source/digits_hits/scorer/src/G4PSTrackLength3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackLength3D.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackLength3D.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackLength3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4PSTrackLength3D
Index: trunk/source/digits_hits/scorer/src/G4SDChargedFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDChargedFilter.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4SDChargedFilter.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDChargedFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDKineticEnergyFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDKineticEnergyFilter.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4SDKineticEnergyFilter.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDKineticEnergyFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDNeutralFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDNeutralFilter.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4SDNeutralFilter.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDNeutralFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDParticleFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDParticleFilter.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4SDParticleFilter.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDParticleFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDParticleWithEnergyFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDParticleWithEnergyFilter.cc	(revision 814)
+++ trunk/source/digits_hits/scorer/src/G4SDParticleWithEnergyFilter.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDParticleWithEnergyFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // G4VSensitiveDetector