Index: trunk/config/History
===================================================================
--- trunk/config/History	(revision 855)
+++ trunk/config/History	(revision 865)
@@ -16,4 +16,9 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+8th October 2008  Laurent Garnier 
+- interactivity.gmk : changing flags for OpenGL and QT
+- Darwin-g++.gmk,Linux-g++.gmk,WIN32-VC.gmk : Improvments in those files, and for GLQT libs
+
 
 11th July 2008  Gabriele Cosmo (config-V09-01-07)
Index: trunk/config/sys/AIX-xlC.gmk
===================================================================
--- trunk/config/sys/AIX-xlC.gmk	(revision 855)
+++ trunk/config/sys/AIX-xlC.gmk	(revision 865)
@@ -17,4 +17,5 @@
   FCFLAGS += -qextname
   FCLIBS := -lxlf90 -lxlf
+  SHEXT := so
   ifndef X11FLAGS
     X11FLAGS  := -I/usr/include/X11/extensions -I/usr/include/X11
@@ -43,8 +44,13 @@
 
   define build-granular-shared-lib
-    @echo "Shared Libraries not supported on $(G4SYSTEM)
+    @libdir=`(cd $(@D);/bin/pwd)`; \
+    cd $(G4TMPDIR); \
+    $(CXX) -G -o $$libdir/$(@F) $(INTYLIBS) *.o
   endef
   define build-global-shared-lib
-    @echo "Shared Libraries not supported on $(G4SYSTEM)
+    @libdir=`(cd $(@D);/bin/pwd)`; \
+    cd $(G4TMP)/$(G4SYSTEM); \
+    $(CXX) -r  -G -o $$libdir/$(@F) $(INTYLIBS) \
+    $(foreach dir, $(SUBLIBS), $(dir)/*.o);
   endef
 
Index: trunk/config/sys/Darwin-g++.gmk
===================================================================
--- trunk/config/sys/Darwin-g++.gmk	(revision 855)
+++ trunk/config/sys/Darwin-g++.gmk	(revision 865)
@@ -63,5 +63,5 @@
   ifndef OGLLIBS
     OGLLIBS   := -L$(OGLHOME)/lib -lGLU -lGL
-# Uncomment the following lines for building on MacOSX 10.5 "Leopard"
+# It may be required to uncomment the following lines for building on MacOSX 10.5 "Leopard"
 #    OGLLIBS   += -dylib_file \
 #                 /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:\
@@ -71,22 +71,41 @@
     QTHOME     := /sw
   endif
+
+  QT_VERSION   := $(shell test -f $(QTHOME)/Qt3Support.framework/Qt3Support && echo QT3 || echo QT4)
+
   ifndef QTFLAGS
-    QTFLAGS    := -I$(QTHOME)/include/Qt -I$(QTHOME)/include
+    ifeq ($(QT_VERSION),QT4)
+      QTFLAFG   := "-I ${QTHOME}/QtCore.framework/Headers "
+      QTFLAFG   += "-I ${QTHOME}/QtGui.framework/Headers "
+      QTFLAFG   += "-I ${QTHOME}/QtOpenGL.framework/Headers "
+      QTFLAFG   += "-I ${QTHOME}/QtSql.framework/Headers "
+      QTFLAFG   += "-I ${QTHOME}/QtXml.framework/Headers "
+    else
+      QTFLAGS   := -I$(QTHOME)/include/Qt -I$(QTHOME)/include
+    endif
   endif
   ifndef QTMOC
-    QTMOC      := $(QTHOME)/bin/moc
+    ifeq ($(QT_VERSION),QT4)
+      QTMOC      := /usr/bin/moc
+    else
+      QTMOC      := $(QTHOME)/bin/moc
+    endif
   endif
   ifndef QTLIBS
-    QT3LIBS    := -L$(QTHOME)/lib -lqt -lqui
-    QT4LIBS    := -F$(QTHOME)/lib -framework QtCore -framework QtGui
-    QT4LIBS    += -framework QtSql -framework QtXml
-    QTLIBS     := $(shell test -f $(QTHOME)/Qt3Support.framework/Qt3Support && echo $(QT4LIBS) || echo $(QT3LIBS))
+    ifeq ($(QT_VERSION),QT3)
+      QTLIBS    := -L$(QTHOME)/lib -lqt -lqui
+    else
+      QTLIBS    := -F$(QTHOME) -framework QtCore -framework QtGui
+      QTLIBS    += -framework QtSql -framework QtXml
+    endif
   endif
 
   ifndef GLQTLIBS
-    QT3LIBS    := -L$(QTHOME)/lib -lqt -lqui
-    QT4LIBS    := -F$(QTHOME) -framework QtCore -framework QtGui
-    QT4LIBS    += -framework QtOpenGL -framework QtSql -framework QtXml
-    GLQTLIBS   := $(shell test -f $(QTHOME)/Qt3Support.framework/Qt3Support && echo $(QT4LIBS) || echo $(QT3LIBS))
+    ifeq ($(QT_VERSION),QT3)
+      GLQTLIBS    := -L$(QTHOME)/lib -lqt -lqui
+    else
+      GLQTLIBS    := -F$(QTHOME) -framework QtCore -framework QtGui
+      GLQTLIBS    += -framework QtOpenGL -framework QtSql -framework QtXml
+    endif
   endif
 
Index: trunk/config/sys/Linux-g++.gmk
===================================================================
--- trunk/config/sys/Linux-g++.gmk	(revision 855)
+++ trunk/config/sys/Linux-g++.gmk	(revision 865)
@@ -31,4 +31,9 @@
     CCFLAGS   += -pg
   endif
+  ifdef G4OPTDEBUG
+    CXXFLAGS  += -O2 -g
+    FCFLAGS   += -O2 -g
+    CCFLAGS   += -O2 -g
+  endif
   ifdef G4LIB_BUILD_SHARED
     CXXFLAGS  += -fPIC
@@ -56,22 +61,29 @@
   endif
   ifndef QTHOME
-    QTHOME     := /usr/local/Qt
+    QTHOME     := /usr
   endif
   ifndef QTFLAGS
-    QTFLAGS    := -I$(QTHOME)/include/Qt
-    QTFLAGS    += -I$(QTHOME)/include
+    QTFLAGS    := -I$(QTHOME)/include/qt4/Qt
+    QTFLAGS    += -I$(QTHOME)/include/qt4
   endif
   ifndef QTMOC
     QTMOC      := $(QTHOME)/bin/moc
   endif
-  ifndef QTGLLIBS
-    QT3LIBS    := -L$(QTHOME)/lib -lqt-mt
-    QT4LIBS    := -L$(QTHOME)/lib -lQtCore -lQtGui -lQtOpenGL -lQtSql -lQtXml
-    QTLIBS     := $(shell test -f $(QTHOME)/lib/libQt3Support.so && echo $(QT4LIBS) || echo $(QT3LIBS))
+
+  QT_VERSION   := $(shell test -f $(QTHOME)/lib/libQt3Support.so && echo QT4 || echo QT3)
+
+  ifndef GLQTLIBS
+    ifeq ($(QT_VERSION),QT3)
+      GLQTLIBS    := -L$(QTHOME)/lib -lqt-mt
+    else
+      GLQTLIBS    := -L$(QTHOME)/lib/qt4 -lQtCore -lQtGui -lQtOpenGL -lQtSql -lQtXml
+    endif
   endif
   ifndef QTLIBS
-    QT3LIBS    := -L$(QTHOME)/lib -lqt-mt
-    QT4LIBS    := -L$(QTHOME)/lib -lQtCore -lQtGui -lQtSql -lQtXml
-    QTLIBS     := $(shell test -f $(QTHOME)/lib/libQt3Support.so && echo $(QT4LIBS) || echo $(QT3LIBS))
+    ifeq ($(QT_VERSION),QT3)
+      QTLIBS    := -L$(QTHOME)/lib -lqt-mt
+    else
+      QTLIBS    := -L$(QTHOME)/lib/qt4 -lQtCore -lQtGui -lQtSql -lQtXml
+    endif
   endif
   ifndef XAWFLAGS
Index: trunk/config/sys/WIN32-VC.gmk
===================================================================
--- trunk/config/sys/WIN32-VC.gmk	(revision 855)
+++ trunk/config/sys/WIN32-VC.gmk	(revision 865)
@@ -44,13 +44,20 @@
     QTMOC     := $(QTHOME)/bin/moc
   endif
+
+  QT_VERSION  := $(shell test -f $(QTHOME)/lib/Qt3Support4.lib && echo QT4 || echo QT3)
+
   ifndef QTLIBS
-    QT3LIBS   := -L$(QTHOME)/lib -lqt-mt
-    QT4LIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtSql4.lib QtXml4.lib
-    QTLIBS    := $(shell test -f $(QTHOME)/lib/Qt3Support4.lib && echo $(QT4LIBS) || echo $(QT3LIBS))
+    ifeq ($(QT_VERSION),QT3)
+      QTLIBS   := -L$(QTHOME)/lib -lqt-mt
+    else
+      QTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtSql4.lib QtXml4.lib
+    endif
   endif
   ifndef QTGLLIBS
-    QT3LIBS   := -L$(QTHOME)/lib -lqt-mt
-    QT4LIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtOpenGL4.lib QtSql4.lib QtXml4.lib
-    QTLIBS    := $(shell test -f $(QTHOME)/lib/Qt3Support4.lib && echo $(QT4LIBS) || echo $(QT3LIBS))
+    ifeq ($(QT_VERSION),QT3)
+      QTLIBS   := -L$(QTHOME)/lib -lqt-mt
+    else
+      QTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtOpenGL4.lib QtSql4.lib QtXml4.lib
+    endif
   endif
 