Index: trunk/source/visualization/OpenGL/History
===================================================================
--- trunk/source/visualization/OpenGL/History	(revision 896)
+++ trunk/source/visualization/OpenGL/History	(revision 897)
@@ -20,4 +20,14 @@
 History file for visualization/OpenGL
 -------------------------------------
+
+2 December, Laurent Garnier
+ - G4OpenGLImmediateXmViewer,G4OpenGLStoredXmViewer,G4OpenGLXmViewer
+   G4OpenGLImmediateXViewer, G4OpenGLStoredXViewer, G4OpenGLXViewer,
+   G4OpenGLXmWindowHandlingCallbacks,
+   G4OpenGLImmediateQtViewer.cc, G4OpenGLStoredQtViewer, G4OpenGLQtViewer
+   G4OpenGLImmediateWin32Viewer.cc, G4OpenGLStoredWin32Viewer, G4OpenGLWin32Viewer 
+   ->  Replace WinSize by fWinSize and some improvments about size initialization
+
+ - G4OpenGLQtViewer.hh : Suppress WinSize private variable
 
 24 October, Laurent Garnier
Index: trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 896)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 897)
@@ -52,9 +52,5 @@
 public:
   G4OpenGLImmediateQtViewer (G4OpenGLImmediateSceneHandler& scene,
-                             const G4String& name = "",
-                             G4int x=200,
-                             G4int y=200,
-                             unsigned int w=600,
-                             unsigned int h=600);
+                const G4String& name = "");
   ~G4OpenGLImmediateQtViewer ();
   void Initialise ();
Index: trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 896)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 897)
@@ -120,6 +120,4 @@
 
 protected:
-  G4int WinSize_x;
-  G4int WinSize_y;
   QGLWidget* fWindow;
   QDialog* GLWindow;
Index: trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 896)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 897)
@@ -84,5 +84,6 @@
   G4OpenGLSceneHandler& fOpenGLSceneHandler;
   G4Colour background;      //the OpenGL clear colour
-  unsigned int WinSize_x, WinSize_y;
+  unsigned int fWinSize_x, fWinSize_y;
+  // size of the OpenGL frame
   G4bool
     transparency_enabled,   //is alpha blending enabled?
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 896)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 897)
@@ -97,7 +97,5 @@
                                     eventBase,
                                     major,
-                                    minor,
-                                    x_origin,
-                                    y_origin;
+                                    minor;
   XSizeHints                        *norm_hints;
   XWMHints                          *wm_hints;
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 897)
@@ -47,7 +47,4 @@
 		     G4VGraphicsSystem::threeD)
 {
-#ifdef G4DEBUG
-  printf("G4OpenGLImmediateQt::Create \n");
-#endif
   G4OpenGLViewerMessenger::GetInstance();
 }
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 897)
@@ -40,9 +40,5 @@
 G4OpenGLImmediateQtViewer::G4OpenGLImmediateQtViewer
 (G4OpenGLImmediateSceneHandler& sceneHandler,
- const G4String&  name
-,G4int x
-,G4int y
-,unsigned int w
-,unsigned int h):
+ const G4String&  name):
   G4VViewer (sceneHandler, sceneHandler.IncrementViewCount (), name),
   G4OpenGLViewer (sceneHandler),
@@ -122,5 +118,5 @@
 
 #ifdef G4DEBUG
-  printf("G4OpenGLImmediateQtViewer::ComputeView %d %d   VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",WinSize_x, WinSize_y);
+  printf("G4OpenGLImmediateQtViewer::ComputeView %d %d   VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",fWinSize_x, fWinSize_y);
 #endif
   makeCurrent();
@@ -133,5 +129,5 @@
   //Make sure current viewer is attached and clean...
   //Qt version needed
-  //  glViewport (0, 0, WinSize_x, WinSize_y);
+  //  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   if(style!=G4ViewParameters::hlr &&
@@ -157,5 +153,5 @@
    
 #ifdef G4DEBUG
-  printf("G4OpenGLImmediateQtViewer::ComputeView %d %d ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n",WinSize_x, WinSize_y);
+  printf("G4OpenGLImmediateQtViewer::ComputeView %d %d ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n",fWinSize_x, fWinSize_y);
 #endif
   hasToRepaint = true;
@@ -197,5 +193,5 @@
   // DO NOT RESIZE IF SIZE HAS NOT CHANGE
   if ( !hasToRepaint) {
-    if (((WinSize_x == (G4int)width())) &&(WinSize_y == (G4int) height())) {
+    if (((fWinSize_x == (unsigned int)width())) &&(fWinSize_y == (unsigned int) height())) {
       return;
     }
@@ -204,6 +200,6 @@
   printf("G4OpenGLImmediateQtViewer::paintGL VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV ready %d\n",readyToPaint);
 #endif
-  WinSize_x = (G4int) width();
-  WinSize_y = (G4int) height();
+  fWinSize_x = (unsigned int) width();
+  fWinSize_y = (unsigned int) height();
 
   setupViewport(width(),height());
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateWin32Viewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateWin32Viewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateWin32Viewer.cc	(revision 897)
@@ -80,5 +80,5 @@
   //Win32 version needed
   //glXMakeCurrent (dpy, win, cx);
-  glViewport (0, 0, WinSize_x, WinSize_y);
+  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   if(style!=G4ViewParameters::hlr &&
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 897)
@@ -49,7 +49,4 @@
 {
   G4OpenGLViewerMessenger::GetInstance();
-#ifdef G4DEBUG
-  printf("G4OpenGLImmediateX::Create \n");
-#endif
 }
 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 897)
@@ -61,7 +61,4 @@
 
 void G4OpenGLImmediateXViewer::Initialise () {
-#ifdef G4DEBUG
-    printf("G4OpenGLImmediateXViewer::Initialise\n");
-#endif
 
   CreateGLXContext (vi_immediate);
@@ -81,7 +78,4 @@
   glDepthFunc (GL_LEQUAL);
   glDepthMask (GL_TRUE);
-#ifdef G4DEBUG
-    printf("G4OpenGLImmediateXViewer::Initialise END\n");
-#endif
 }
 
@@ -92,5 +86,5 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  glViewport (0, 0, WinSize_x, WinSize_y);
+  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   if(style!=G4ViewParameters::hlr &&
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 897)
@@ -92,5 +92,5 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  glViewport (0, 0, WinSize_x, WinSize_y);
+  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   if(style!=G4ViewParameters::hlr &&
Index: trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 897)
@@ -200,11 +200,4 @@
 #endif
 
-  WinSize_x = 400;
-  WinSize_y = 400;
-  if (WinSize_x < fVP.GetWindowSizeHintX ())
-    WinSize_x = fVP.GetWindowSizeHintX ();
-  if (WinSize_y < fVP.GetWindowSizeHintY ())
-    WinSize_y = fVP.GetWindowSizeHintY ();
-
   if(!fWindow) return;
 #ifdef G4DEBUG
@@ -799,9 +792,9 @@
   setupViewport(aWidth,aHeight);
   
-  if (((WinSize_x != (G4int)aWidth)) || (WinSize_y != (G4int) aHeight)) {
+  if (((fWinSize_x != (unsigned int)aWidth)) || (fWinSize_y != (unsigned int) aHeight)) {
     hasToRepaint =true;
   }
-  WinSize_x = (G4int) aWidth;
-  WinSize_y = (G4int) aHeight;
+  fWinSize_x = (unsigned int) aWidth;
+  fWinSize_y = (unsigned int) aHeight;
 }
 
@@ -1598,7 +1591,7 @@
   GLdouble coefDepth = 0;
   if(mouseMove) {
-    coefTrans = ((G4double)getSceneNearWidth())/((G4double)WinSize_x);
-    if (WinSize_y <WinSize_x) {
-      coefTrans = ((G4double)getSceneNearWidth())/((G4double)WinSize_y);
+    coefTrans = ((G4double)getSceneNearWidth())/((G4double)fWinSize_x);
+    if (fWinSize_y <fWinSize_x) {
+      coefTrans = ((G4double)getSceneNearWidth())/((G4double)fWinSize_y);
     }
   } else {
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 897)
@@ -126,5 +126,5 @@
 
 #ifdef G4DEBUG
-  printf("G4OpenGLStoredQtViewer::ComputeView %d %d   VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",WinSize_x, WinSize_y);
+  printf("G4OpenGLStoredQtViewer::ComputeView %d %d   VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",fWinSize_x, fWinSize_y);
 #endif
   makeCurrent();
@@ -195,5 +195,5 @@
 
 #ifdef G4DEBUG
-  printf("G4OpenGLStoredQtViewer::ComputeView %d %d ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n",WinSize_x, WinSize_y);
+  printf("G4OpenGLStoredQtViewer::ComputeView %d %d ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n",fWinSize_x, fWinSize_y);
 #endif
   hasToRepaint =true;
@@ -225,5 +225,5 @@
   //    EXECEPT WHEN MOUSE MOVE EVENT
   if ( !hasToRepaint) {
-    if (((WinSize_x == (G4int)width())) &&(WinSize_y == (G4int) height())) {
+    if (((fWinSize_x == (unsigned int)width())) &&(fWinSize_y == (unsigned int) height())) {
       return;
     }
@@ -232,6 +232,6 @@
   printf("G4OpenGLStoredQtViewer::paintGL VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV ready %d\n",readyToPaint);
 #endif
-  WinSize_x = (G4int) width();
-  WinSize_y = (G4int) height();
+  fWinSize_x = (unsigned int) width();
+  fWinSize_y = (unsigned int) height();
 
   setupViewport(width(),height());
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredWin32Viewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredWin32Viewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredWin32Viewer.cc	(revision 897)
@@ -70,5 +70,5 @@
   //Win32 version needed
   //  glXMakeCurrent (dpy, win, cx);
-  glViewport (0, 0, WinSize_x, WinSize_y);
+  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   G4ViewParameters::DrawingStyle style = GetViewParameters().GetDrawingStyle();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc	(revision 897)
@@ -79,5 +79,5 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  glViewport (0, 0, WinSize_x, WinSize_y);
+  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   G4ViewParameters::DrawingStyle style = GetViewParameters().GetDrawingStyle();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc	(revision 897)
@@ -85,5 +85,5 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  glViewport (0, 0, WinSize_x, WinSize_y);
+  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   G4ViewParameters::DrawingStyle style = GetViewParameters().GetDrawingStyle();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 897)
@@ -112,4 +112,6 @@
   fVP.SetAutoRefresh(true);
   fDefaultVP.SetAutoRefresh(true);
+  fWinSize_x = fVP.GetWindowSizeHintX();
+  fWinSize_y = fVP.GetWindowSizeHintY();
 
   //  glClearColor (0.0, 0.0, 0.0, 0.0);
Index: trunk/source/visualization/OpenGL/src/G4OpenGLWin32Viewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLWin32Viewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLWin32Viewer.cc	(revision 897)
@@ -117,16 +117,9 @@
   }  
   
-  WinSize_x = 400;
-  WinSize_y = 400;
-  if (WinSize_x < fVP.GetWindowSizeHintX ())
-    WinSize_x = fVP.GetWindowSizeHintX ();
-  if (WinSize_y < fVP.GetWindowSizeHintY ())
-    WinSize_y = fVP.GetWindowSizeHintY ();
-
   fWindow = ::CreateWindow(className,fName.c_str(), 
 			   WS_OVERLAPPEDWINDOW,
 			   //WS_CHILD | WS_VISIBLE,
 			   0,0,
-			   WinSize_x,WinSize_y,
+			   fWinSize_x,fWinSize_y,
 			   NULL, NULL, 
 			   ::GetModuleHandle(NULL),
@@ -211,11 +204,11 @@
 
     //FIXME : have to handle WM_RESIZE
-    //pView->WinSize_x = (G4int) width;
-    //pView->WinSize_y = (G4int) height;
+    //pView->fWinSize_x = (G4int) width;
+    //pView->fWinSize_y = (G4int) height;
     G4OpenGLWin32Viewer* This = 
       (G4OpenGLWin32Viewer*)::GetWindowLong(aWindow,GWL_USERDATA);
     if(This) {
       This->SetView();
-      glViewport(0,0,This->WinSize_x,This->WinSize_y);
+      glViewport(0,0,This->fWinSize_x,This->fWinSize_y);
       This->ClearView();
       This->DrawView();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 897)
@@ -214,48 +214,7 @@
 
   // Window size and position...
-  unsigned int width, height;
-  x_origin = 0;
-  y_origin = 0;
+  G4int x_origin = 0;
+  G4int y_origin = 0;
   size_hints = XAllocSizeHints();
-
-  // already done in G4VViewer at creation
-
-//   const G4String& XGeometryString = fVP.GetXGeometryString();
-//   int screen_num = DefaultScreen(dpy);
-//   if (!XGeometryString.empty()) {
-//     G4int geometryResultMask = XParseGeometry
-//       ((char*)XGeometryString.c_str(),
-//        &x_origin, &y_origin, &width, &height);
-//     if (geometryResultMask & (WidthValue | HeightValue)) {
-//       if (geometryResultMask & XValue) {
-// 	if (geometryResultMask & XNegative) {
-// 	  x_origin = DisplayWidth(dpy, screen_num) + x_origin - width;
-// 	}
-// 	size_hints->flags |= PPosition;
-// 	size_hints->x = x_origin;
-//       }
-//       if (geometryResultMask & YValue) {
-// 	if (geometryResultMask & YNegative) {
-// 	  y_origin = DisplayHeight(dpy, screen_num) + y_origin - height;
-// 	}
-// 	size_hints->flags |= PPosition;
-// 	size_hints->y = y_origin;
-//       }
-//     } else {
-//       G4cout << "ERROR: Geometry string \""
-// 	     << XGeometryString
-// 	     << "\" invalid.  Using \"600x600\"."
-// 	     << G4endl;
-//       width = 600;
-//       height = 600;
-//     }
-//   }
-//  size_hints->width = width;
-//  size_hints->height = height;
-
-#ifdef G4DEBUG
-  printf("G4OpenGLXViewer::CreateMainWindow CreateWindow Mauvais Size:W:%d X:%d H:%d Y:%d \n",width,fVP.GetWindowSizeHintX(),height, fVP.GetWindowSizeHintY());
-#endif
-
 
   Window root_return;
@@ -265,7 +224,4 @@
   unsigned int depth_return;
   
-#ifdef G4DEBUG
-  printf("G4OpenGLXViewer::CreateMainWindow 1\n");
-#endif
   // get the parent window's geometry
   XGetGeometry(dpy, XRootWindow (dpy, vi -> screen), &root_return, &x_return, &y_return,
@@ -273,22 +229,15 @@
                &depth_return);
   
-#ifdef G4DEBUG
-  printf("G4OpenGLXViewer::CreateMainWindow 2 root W :%d H :%d\n",width_return, height_return);
-#endif
-
-  //  G4int                             WinSize_x;
-  //  G4int                             WinSize_y;
-  WinSize_x = fVP.GetWindowSizeHintX();
-  WinSize_y = fVP.GetWindowSizeHintY();
+  fWinSize_x = fVP.GetWindowSizeHintX();
+  fWinSize_y = fVP.GetWindowSizeHintY();
   x_origin = fVP.GetWindowAbsoluteLocationHintX(width_return);
   y_origin = fVP.GetWindowAbsoluteLocationHintY(height_return);
-
-  size_hints->base_width = WinSize_x;
-  size_hints->base_height = WinSize_y;
+  size_hints->base_width = fWinSize_x;
+  size_hints->base_height = fWinSize_y;
   size_hints->x = x_origin;
   size_hints->y = y_origin;
   size_hints->flags |= PSize | PPosition;
 #ifdef G4DEBUG
-  printf("G4OpenGLXViewer::CreateMainWindow CreateWindow Size:W:%d H:%d X:%d Y:%d \n",WinSize_x,WinSize_y,x_origin,y_origin);
+  printf("G4OpenGLXViewer::CreateMainWindow CreateWindow Size:W:%d H:%d X:%d Y:%d \n",fWinSize_x,fWinSize_y,x_origin,y_origin);
 #endif
 
@@ -313,5 +262,5 @@
 
    win = XCreateWindow (dpy, XRootWindow (dpy, vi -> screen), x_origin, 
-                        y_origin, WinSize_x, WinSize_y, 0, vi -> depth,
+                        y_origin, fWinSize_x, fWinSize_y, 0, vi -> depth,
                         InputOutput, vi -> visual,  
                         CWBorderPixel | CWColormap | 
@@ -489,5 +438,5 @@
     Pixmap pmap = XCreatePixmap (dpy,
 				 XRootWindow (dpy, pvi->screen),
-				 WinSize_x, WinSize_y,
+				 fWinSize_x, fWinSize_y,
 				 pvi->depth);
     
@@ -504,5 +453,5 @@
 		    cx);
     
-    glViewport (0, 0, WinSize_x, WinSize_y);
+    glViewport (0, 0, fWinSize_x, fWinSize_y);
     
     ClearView ();
@@ -512,5 +461,5 @@
     generateEPS (print_string,
 		 print_colour,
-		 WinSize_x, WinSize_y);
+		 fWinSize_x, fWinSize_y);
     
     win=tmp_win;
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 897)
@@ -596,9 +596,6 @@
   Dimension width, height;
   XtVaGetValues (glxarea,XmNwidth,&width,XmNheight,&height,NULL);
-#ifdef G4DEBUG
-  printf("CreateWindow Size:%d - %d \n",width,height);
-#endif
-  WinSize_x = (G4int) width;
-  WinSize_y = (G4int) height;
+  fWinSize_x = (unsigned int) width;
+  fWinSize_y = (unsigned int) height;
 
   win = XtWindow (glxarea);
@@ -633,7 +630,4 @@
 fpprint_top (0)
 {
-  WinSize_x = 100;
-  WinSize_y = 100;
-  
   GetXmConnection ();
   if (fViewId < 0) return;
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmWindowHandlingCallbacks.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmWindowHandlingCallbacks.cc	(revision 896)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmWindowHandlingCallbacks.cc	(revision 897)
@@ -50,6 +50,6 @@
 		 NULL);
   
-  pView->WinSize_x = (G4int) width;
-  pView->WinSize_y = (G4int) height;
+  pView->fWinSize_x = (G4int) width;
+  pView->fWinSize_y = (G4int) height;
 }
 
@@ -68,6 +68,6 @@
 		 NULL);
 
-  pView->WinSize_x = (G4int) width;
-  pView->WinSize_y = (G4int) height;
+  pView->fWinSize_x = (G4int) width;
+  pView->fWinSize_y = (G4int) height;
 
   glXMakeCurrent (pView->dpy, XtWindow(pView->glxarea), pView->cx);