Index: /trunk/source/visualization/management/History
===================================================================
--- /trunk/source/visualization/management/History	(revision 906)
+++ /trunk/source/visualization/management/History	(revision 907)
@@ -1,3 +1,3 @@
-$Id: History,v 1.111 2008/07/27 10:46:23 allison Exp $
+$Id: History,v 1.114 2009/01/13 10:01:08 lgarnier Exp $
 
 -------------------------------------------------------------------
@@ -27,5 +27,16 @@
 ------------------------------------------------------
 
-27th July 2008  John Allison
+12th January 2009  John Allison
+- /vis/viewer/create: Pass both X and Y window size hints to viewer.
+  (To get a non-rectangular viewer give a X-windows-style geometry
+  argument, such as "800x400" or "800x400-0+0".)
+
+2nd December, Laurent Garnier
+ - G4ViewParameters.hh G4ViewParameters.icc G4VisManager.hh G4VisManager.icc 
+   G4ViewParameters.cc G4VisManager.cc G4VViewer.cc G4VisCommandsViewer.cc,
+   do a lot of change to be able to pass XString like 400x600-0+0 to viewers 
+   and set position and location. It will work for Qt, X, Win32 for the moment.
+
+27th July 2008  John Allison (visman-V09-01-05)
 - G4VisCommands.cc: Trap recursive use of /vis/reviewKeptEvents.
 
Index: /trunk/source/visualization/management/include/G4ViewParameters.hh
===================================================================
--- /trunk/source/visualization/management/include/G4ViewParameters.hh	(revision 906)
+++ /trunk/source/visualization/management/include/G4ViewParameters.hh	(revision 907)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ViewParameters.hh,v 1.28 2008/04/28 16:14:12 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ViewParameters.hh,v 1.29 2009/01/13 09:55:15 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -154,8 +154,8 @@
         G4double         GetGlobalLineWidthScale () const;
         G4bool           IsMarkerNotHidden       () const;
+        unsigned int     GetWindowSizeHintX      () const;
+        unsigned int     GetWindowSizeHintY      () const;
         G4int            GetWindowAbsoluteLocationHintX (G4int) const;
         G4int            GetWindowAbsoluteLocationHintY (G4int) const;
-        unsigned int     GetWindowSizeHintX      () const;
-        unsigned int     GetWindowSizeHintY      () const;
         G4int            GetWindowLocationHintX  () const;
         G4int            GetWindowLocationHintY  () const;
Index: /trunk/source/visualization/management/include/G4ViewParameters.icc
===================================================================
--- /trunk/source/visualization/management/include/G4ViewParameters.icc	(revision 906)
+++ /trunk/source/visualization/management/include/G4ViewParameters.icc	(revision 907)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ViewParameters.icc,v 1.16 2007/04/03 13:33:16 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ViewParameters.icc,v 1.17 2009/01/13 09:55:15 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/management/include/G4VisManager.hh
===================================================================
--- /trunk/source/visualization/management/include/G4VisManager.hh	(revision 906)
+++ /trunk/source/visualization/management/include/G4VisManager.hh	(revision 907)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisManager.hh,v 1.68 2008/01/04 22:03:46 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VisManager.hh,v 1.69 2009/01/13 09:55:15 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/management/include/G4VisManager.icc
===================================================================
--- /trunk/source/visualization/management/include/G4VisManager.icc	(revision 906)
+++ /trunk/source/visualization/management/include/G4VisManager.icc	(revision 907)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisManager.icc,v 1.20 2007/01/11 16:40:58 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VisManager.icc,v 1.21 2009/01/13 09:55:15 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/management/src/G4VViewer.cc
===================================================================
--- /trunk/source/visualization/management/src/G4VViewer.cc	(revision 906)
+++ /trunk/source/visualization/management/src/G4VViewer.cc	(revision 907)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VViewer.cc,v 1.24 2007/01/05 16:25:15 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VViewer.cc,v 1.25 2009/01/13 09:55:15 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/management/src/G4ViewParameters.cc
===================================================================
--- /trunk/source/visualization/management/src/G4ViewParameters.cc	(revision 906)
+++ /trunk/source/visualization/management/src/G4ViewParameters.cc	(revision 907)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ViewParameters.cc,v 1.31 2008/04/04 13:48:53 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ViewParameters.cc,v 1.32 2009/01/13 09:55:15 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -616,6 +616,8 @@
   G4int mask = fNoValue;
   register char *strind;
-  unsigned int tempWidth, tempHeight;
-  G4int tempX, tempY;
+  unsigned int tempWidth  = 0;
+  unsigned int tempHeight = 0;
+  G4int tempX = 0;
+  G4int tempY = 0;
   char *nextCharacter;
   if ( (string == NULL) || (*string == '\0')) {
Index: /trunk/source/visualization/management/src/G4VisCommandsViewer.cc
===================================================================
--- /trunk/source/visualization/management/src/G4VisCommandsViewer.cc	(revision 906)
+++ /trunk/source/visualization/management/src/G4VisCommandsViewer.cc	(revision 907)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsViewer.cc,v 1.70 2008/04/30 10:07:28 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VisCommandsViewer.cc,v 1.73 2009/01/13 10:10:47 lgarnier Exp $
+// GEANT4 tag $Name:  $
 
 // /vis/viewer commands - John Allison  25th October 1998
Index: /trunk/source/visualization/management/src/G4VisManager.cc
===================================================================
--- /trunk/source/visualization/management/src/G4VisManager.cc	(revision 906)
+++ /trunk/source/visualization/management/src/G4VisManager.cc	(revision 907)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VisManager.cc,v 1.115 2008/01/04 22:03:46 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VisManager.cc,v 1.116 2009/01/13 09:55:15 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 