Index: trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 906)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 908)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.hh,v 1.24 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLViewer.hh,v 1.25 2009/01/16 08:29:17 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 906)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 908)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateQtViewer.cc,v 1.8 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLImmediateQtViewer.cc,v 1.9 2009/01/15 18:14:58 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -202,8 +202,4 @@
   printf("G4OpenGLImmediateQtViewer::paintGL VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV ready %d\n",readyToPaint);
 #endif
-//   fWinSize_x = (unsigned int) width();
-//   fWinSize_y = (unsigned int) height();
-
-  //  setupViewport(width(),height());
 
   SetView();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 906)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 908)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateXmViewer.cc,v 1.17 2006/07/03 16:38:13 allison Exp $
+// $Id: G4OpenGLImmediateXmViewer.cc,v 1.18 2009/01/13 12:07:12 allison Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 906)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 908)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.cc,v 1.31 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.cc,v 1.32 2009/01/15 18:14:58 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -174,5 +174,5 @@
 
   //useful for MACOSX, we have to compt the menuBar height
-  unsigned int offset = QApplication::desktop()->height() 
+  int offset = QApplication::desktop()->height() 
                       - QApplication::desktop()->availableGeometry().height();
 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 906)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 908)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredQtViewer.cc,v 1.21 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLStoredQtViewer.cc,v 1.22 2009/01/15 18:14:58 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -235,8 +235,4 @@
   printf("G4OpenGLStoredQtViewer::paintGL VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV ready %d\n",readyToPaint);
 #endif
-//   fWinSize_x = (unsigned int) width();
-//   fWinSize_y = (unsigned int) height();
-
-  //  setupViewport(width(),height());
 
   SetView();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 906)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 908)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.cc,v 1.43 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLViewer.cc,v 1.45 2009/01/15 18:14:58 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -156,5 +156,5 @@
 {
 #ifdef G4DEBUG
-  printf("G4OpenGLQtViewer::setupViewport\n");
+  printf("G4OpenGLViewer::setupViewport\n");
 #endif
 
@@ -167,9 +167,6 @@
 void G4OpenGLViewer::SetView () {
 
-#ifdef G4DEBUG
-  printf("G4OpenGLViewer::SetView ------------\n");
-#endif
   if (!fSceneHandler.GetScene()) {
-    G4cerr << "G4OpenGLStoredQtViewer: Creating a Viewer without a scene is not allowed. \nPlease use /vis/scene/create before /vis/open/.... "
+    G4cerr << "G4OpenGLStoredViewer: Creating a Viewer without a scene is not allowed. \nPlease use /vis/scene/create before /vis/open/.... "
 	   << G4endl;
     return;
@@ -210,10 +207,6 @@
   
   // FIXME
-  //  const G4int& width = fVP.GetWindowSizeHintX();
-  //  const G4int& height = fVP.GetWindowSizeHintY();
-  //  G4int side = width;
-  //  if (height < width) side = height;
-  //  glViewport((width - side) / 2, (height - side) / 2, side, side);
   ResizeGLView();
+  //SHOULD SetWindowsSizeHint()...
 
   glMatrixMode (GL_PROJECTION); // set up Frustum.
@@ -225,15 +218,8 @@
   if (fVP.GetFieldHalfAngle() == 0.) {
     glOrtho (left, right, bottom, top, pnear, pfar);
-#ifdef G4DEBUG
-  printf("G4OpenGLViewer::SetView ------------rescale\n");
-#endif
   }
   else {
     glFrustum (left, right, bottom, top, pnear, pfar);
-#ifdef G4DEBUG
-  printf("G4OpenGLViewer::SetView ------------Frustum\n");
-#endif
-  }
-  
+  }  
 
   glMatrixMode (GL_MODELVIEW); // apply further transformations to scene.
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 906)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 908)
@@ -82,7 +82,4 @@
 extern "C" {
   static Bool G4OpenGLXViewerWaitForNotify (Display*, XEvent* e, char* arg) {
-#ifdef G4DEBUG
-    printf("G4OpenGLXViewerWaitForNotify\n");
-#endif
     return (e->type == MapNotify) && (e->xmap.window == (Window) arg);
   }
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 906)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 908)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmViewer.cc,v 1.25 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLXmViewer.cc,v 1.26 2009/01/15 18:14:58 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -600,7 +600,7 @@
   // This should be add AFTER glXMakeCurrent done because it will fire a resizeCallback
   XtAddCallback (glxarea, 
-		 XmNresizeCallback, 
-		 resize_callback, 
-		 this);
+ 		 XmNresizeCallback, 
+ 		 resize_callback, 
+ 		 this);
 
   XtAddCallback (glxarea, 